VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec Class Reference

The `Ethernet.BackingSpec` class provides a specification of the physical resource that backs a virtual Ethernet adapter. More...

List of all members.

## Public Member Functions
| BackingSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.EthernetTypes.BackingType | Get_Type ()
| Backing type for the virtual Ethernet adapter.
void | SetType (vmware.vcenter.vm.hardware.EthernetTypes.BackingType type)
| Backing type for the virtual Ethernet adapter.
string | GetNetwork ()
| Identifier of the network that backs the virtual Ethernet adapter.
void | SetNetwork (string network)
| Identifier of the network that backs the virtual Ethernet adapter.
string | GetDistributedPort ()
| Key of the distributed virtual port that backs the virtual Ethernet adapter.
void | SetDistributedPort (string distributedPort)
| Key of the distributed virtual port that backs the virtual Ethernet adapter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Ethernet.BackingSpec` class provides a specification of the physical resource that backs a virtual Ethernet adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::BackingSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.EthernetTypes.BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::Get_Type | ( |  | ) | `[inline]`

Backing type for the virtual Ethernet adapter.

string vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::GetDistributedPort | ( |  | ) | `[inline]`

Key of the distributed virtual port that backs the virtual Ethernet adapter.

Depending on the type of the Portgroup, the port may be specified using this field. If the portgroup type is early-binding (also known as static), a port is assigned when the Ethernet adapter is configured to use the port. The port may be either automatically or specifically assigned based on the value of this field. If the portgroup type is ephemeral, the port is created and assigned to a virtual machine when it is powered on and the Ethernet adapter is connected. This field cannot be specified as no free ports exist before use.

override int vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::GetNetwork | ( |  | ) | `[inline]`

Identifier of the network that backs the virtual Ethernet adapter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Network` .

void vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::SetDistributedPort | ( | string | distributedPort | ) | `[inline]`

Key of the distributed virtual port that backs the virtual Ethernet adapter.

Depending on the type of the Portgroup, the port may be specified using this field. If the portgroup type is early-binding (also known as static), a port is assigned when the Ethernet adapter is configured to use the port. The port may be either automatically or specifically assigned based on the value of this field. If the portgroup type is ephemeral, the port is created and assigned to a virtual machine when it is powered on and the Ethernet adapter is connected. This field cannot be specified as no free ports exist before use.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::SetNetwork | ( | string | network | ) | `[inline]`

Identifier of the network that backs the virtual Ethernet adapter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Network` .

void vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::SetType | ( | vmware.vcenter.vm.hardware.EthernetTypes.BackingType | type | ) | `[inline]`

Backing type for the virtual Ethernet adapter.

override string vmware::vcenter::vm::hardware::EthernetTypes::BackingSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- EthernetTypes.cs